Subject: bug#54173: 28.0.91; Training wheels for query-replace

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 12 Mar 2022 17:58:55 +0100

Juri Linkov <[email-masked]> writes:

>> I think the likelihood of a user customising such a string is pretty
>> much nil -- if they're able to formulate a longer help string here, then
>> they'll remember the options they typed out.
>
> I agree that probability tends to zero.
>
> OTOH, there is already such a const:
>
>   (defconst query-replace-help "...")
>
> that is used in:
>
>   (substitute-command-keys query-replace-help)
>
> So the same way a new const makes sense:
>
>   (defconst query-replace-prompt-help "(\\<query-replace-map>\\[help]
> for help) ")
>
> to be used like this:
>
>   (substitute-command-keys query-replace-prompt-help)
>
> that will help Augusto to solve this problem.

I suspect that the former is just a const because people don't like to
put walls of texts inside function definitions because it makes it more
difficult to read the code, not because they thought anybody would want
to change it.

And that's not really the case with the prompt.

So I'm leaning towards us not wanting to change anything here, and I'm
therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no